
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #439

Audacious 3.5 and OSS

April 29, 2014 21:07 - Peter Guldager

Status: Rejected Start date: April 29, 2014

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.5   

Description

Not sure if this qualifies as a bug but thought I'd report it.

I use OSS in Arch Linux. Audacious recently updated to 3.5 - a straightforward pacman update

of audacious and audacious-plugins binary packages.

When I tried to play an audio file there was no output and the volume widget remained at "muted."

I attempted to open the "Settings" dialog from the main menu and the Audacious gui vanished,

followed by maybe twenty seconds of high cpu use on one core.

OSS sometimes breaks on kernel updates, and when that has happened Audacious typically

reset itself to use ALSA output. That never worked but it was a more graceful failure than what

happens with 3.5.

Recompiling audacious-plugins with ABS (Arch Build System) solved the output plugin issue -

apparently Audacious detects the presence of OSS and builds the plugin - nice work there.

I should also mention that after the Audacious crash I was looking around and found that pacman

had left the "old" 3.4.3 oss4.so plugin in /usr/lib/audacious/Output along with the new 3.5 plugins

(but not a new oss4 plugin). OSS is no longer in the standard Arch repos, having been moved to

the AUR.

History

#1 - April 30, 2014 02:40 - John Lindgren

- Affects version 3.5 added

- Affects version deleted (3.5.1)

Sorry to hear about your experience.  The bottom line is, if the OSS plugin is not installed, sound is not going to work on an OSS system.  Yes, ideally

the failure would be more graceful.  If you want to spend time on debugging the crash you saw, then the first step would be to reproduce it while

running Audacious with debugging output (audacious -V).

Also -- there is no version 3.5.1 yet.

#2 - April 30, 2014 10:14 - Peter Guldager

I removed the recompiled audacious-plugins package and installed the Arch binary package -

making sure there was no old oss4.so plugin left behind - and Audacious did not crash but just

defaulted to PulseAudio Output.

So, you can crash Audacious if you stick an older version plugin in /Output, but I wouldn't call that a bug.

Sorry for the false alarm.

Yeah, that should have been 3.5-1 for the Arch package. I'll try audacious -V.
#3 - April 30, 2014 20:44 - John Lindgren

Peter Guldager wrote:

So, you can crash Audacious if you stick an older version plugin in /Output, but I wouldn't call that a bug.

 

Did you reproduce the crash that way?  There is a version check on the plugins that should prevent a 3.4.x plugin from being loaded by 3.5.x core.

#4 - May 12, 2014 23:26 - John Lindgren

- Status changed from New to Rejected

Closing since it's not clear how to reproduce this.

#5 - May 13, 2014 14:32 - Peter Guldager

Sorry for the delay, I've been travelling.

To reproduce in Arch:

The last Arch audacious-plugins package that included the oss4.so plugin was 3.4.1, but audacious continued to work through 3.4.3 with the old

oss4.so that pacman did not remove.

Update to audacious-plugins 3.5 and audacious 3.5.

Select a file from playlist, start play - play indicator/timer does not start - no sound output.

Select File/Settings... from menu and program crashes.

note: selecting other menu items does not cause crash.

bash output of audacious -V:

[pcg@joey ~]$ audacious -V

main.c:609 [main]: No remote session; starting up.

main.c:494 [init_two]: Loading configuration.

main.c:497 [init_two]: Initializing.

main.c:506 [init_two]: Loading lowlevel plugins.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/gio.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Transport/gio.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Transport/gio.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/neon.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Transport/neon.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Transport/neon.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Transport/mms.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Transport/mms.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Transport/mms.so.

plugin-registry.c:568 [plugin_register]: New plugin: /usr/lib/audacious/Container/asx3.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/asx3.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Container/asx.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Container/asx.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/asx.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Container/m3u.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Container/m3u.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/m3u.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Container/cue.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Container/cue.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/cue.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Container/audpl.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Container/audpl.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/audpl.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Container/xspf.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Container/xspf.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/xspf.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Container/pls.so
plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Container/pls.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Container/pls.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/cdaudio-ng.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/console.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/console.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/console.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/sndfile.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/sndfile.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/sndfile.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/psf2.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/psf2.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/psf2.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/vorbis.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/vorbis.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/vorbis.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/madplug.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/madplug.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/madplug.so.

mpg123.c:62 [aud_mpg123_init]: initializing mpg123 library

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/wavpack.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/wavpack.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/wavpack.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/ffaudio.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/ffaudio.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/ffaudio.so.

plugin-registry.c:568 [plugin_register]: New plugin: /usr/lib/audacious/Input/aac-raw.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/aac-raw.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/modplug.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/modplug.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/modplug.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/flacng.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/flacng.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/flacng.so.

tools.c:38 [init_callback_info]: Playback buffer allocated for 524280 samples, 2097120 bytes

plugin.c:69 [flac_init]: Plugin initialized.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/xsf.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/xsf.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/xsf.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/sid.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/sid.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/sid.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/amidi-plug.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/amidi-plug.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/amidi-plug.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/aac.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/aac.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/aac.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/tonegen.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/tonegen.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/tonegen.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/vtx.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/vtx.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/vtx.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Input/metronom.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Input/metronom.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Input/metronom.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Output/alsa.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Output/alsa.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/alsa.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Output/oss4.so

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Output/pulse_audio.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Output/pulse_audio.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/pulse_audio.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Output/sdlout.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Output/sdlout.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/sdlout.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Output/filewriter.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Output/filewriter.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/filewriter.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Output/jackout.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Output/jackout.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/jackout.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/stereo.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/stereo.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/stereo.so.
plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/echo.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/echo.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/echo.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/mixer.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/mixer.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/mixer.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/resample.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/resample.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/resample.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/crossfade.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/crossfade.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/crossfade.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/ladspa.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/ladspa.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/ladspa.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/crystalizer.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/crystalizer.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/crystalizer.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/compressor.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/compressor.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/compressor.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/speed-pitch.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/speed-pitch.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/speed-pitch.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Effect/voice_removal.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Effect/voice_removal.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Effect/voice_removal.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/search-tool.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/search-tool.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/search-tool.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/albumart.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/albumart.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/albumart.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/alarm.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/alarm.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/alarm.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/statusicon.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/statusicon.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/statusicon.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/aosd.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/aosd.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/aosd.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/scrobbler.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/scrobbler.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/scrobbler.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/cd-menu-items.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/cd-menu-items.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/cd-menu-items.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/lyricwiki.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/lyricwiki.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/lyricwiki.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/skins.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/skins.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/skins.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/gnomeshortcuts.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/gnomeshortcuts.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/gnomeshortcuts.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/gtkui.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/gtkui.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/gtkui.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/lirc.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/lirc.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/lirc.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/notify.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/notify.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/notify.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/mpris2.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/mpris2.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/mpris2.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/song_change.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/song_change.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/song_change.so.

plugin-registry.c:568 [plugin_register]: New plugin: /usr/lib/audacious/General/delete-files.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/delete-files.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/General/hotkey.so
plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/General/hotkey.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/General/hotkey.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Visualization/cairo-spectrum.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Visualization/cairo-spectrum.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Visualization/cairo-spectrum.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Visualization/blur_scope.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Visualization/blur_scope.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Visualization/blur_scope.so.

plugin-registry.c:549 [plugin_register]: Register plugin: /usr/lib/audacious/Visualization/gl-spectrum.so

plugin-registry.c:554 [plugin_register]: Rescan plugin: /usr/lib/audacious/Visualization/gl-spectrum.so

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Visualization/gl-spectrum.so.

plugin-registry.c:393 [plugin_prune]: Plugin not found: /usr/lib/audacious/Transport/unix-io.so

plugin-init.c:85 [start_single]: Starting selected output plugin OSS4 Output.

pluginenum.c:75 [plugin_load]: Loading plugin: /usr/lib/audacious/Output/oss4.so.  *** ERROR: /usr/lib/audacious/Output/oss4.so is not compatible

with this version of Audacious.

main.c:509 [init_two]: Starting worker threads.

main.c:513 [init_two]: Restoring state.

playlist-files.c:90 [playlist_load]: Loading playlist file:///home/pcg/.config/audacious/playlists/1000.audpl.

VFS: <0x1333e20> open (mode r) file:///home/pcg/.config/audacious/playlists/1000.audpl

VFS: <0x1333e20> close

playlist-files.c:90 [playlist_load]: Loading playlist file:///home/pcg/.config/audacious/playlists/1001.audpl.

VFS: <0x1333f00> open (mode r) file:///home/pcg/.config/audacious/playlists/1001.audpl

VFS: <0x1333f00> close

main.c:518 [init_two]: Loading highlevel plugins.

plugin-init.c:115 [start_multi_cb]: Starting Audio CD Menu Items.

plugin-init.c:115 [start_multi_cb]: Starting MPRIS 2 Server.

plugin-init.c:85 [start_single]: Starting selected interface plugin GTK Interface.

interface.c:197 [iface_plugin_set_current]: Loading GTK Interface.

ui_gtk.c:807 [init]: hooks associate

ui_gtk.c:810 [init]: playlist associate

interface.c:204 [iface_plugin_set_current]: Loading visualizers.

interface.c:207 [iface_plugin_set_current]: Loading plugin widgets.

general.c:50 [general_load]: Loading Audio CD Menu Items.

general.c:50 [general_load]: Loading MPRIS 2 Server.

main.c:612 [main]: Startup complete.

probe.c:160 [file_find_decoder]: Probing file:///mnt/MusicII/Linda%20Ronstadt/Prisoner%20in%20Disguise-r/flac/11_Silver_Blue.flac.

probe.c:119 [probe_by_scheme]: Probing by scheme.

probe.c:130 [probe_by_extension]: Probing by extension.

probe.c:108 [probe_func_fast]: Guessing FLAC Decoder.

probe.c:188 [file_find_decoder]: Probe succeeded: FLAC Decoder

VFS: <0x13704e0> open (mode r) file:///mnt/MusicII/Linda%20Ronstadt/Prisoner%20in%20Disguise-r/flac/11_Silver_Blue.flac

metadata.c:195 [flac_get_image]: Probe for song image.

VFS: <0x13704e0> seek to 0 from beginning

VFS: <0x13704e0> tell = 4

metadata.c:87 [tell_cb]: Current position: 4

probe.c:160 [file_find_decoder]: Probing file:///mnt/MusicII/Linda%20Ronstadt/Prisoner%20in%20Disguise-r/flac/11_Silver_Blue.flac.

probe.c:119 [probe_by_scheme]: Probing by scheme.

VFS: <0x13704e0> tell = 193

metadata.c:87 [tell_cb]: Current position: 193

VFS: <0x13704e0> close

probe.c:130 [probe_by_extension]: Probing by extension.

probe.c:108 [probe_func_fast]: Guessing FLAC Decoder.

probe.c:188 [file_find_decoder]: Probe succeeded: FLAC Decoder

VFS: <0x1370da0> open (mode r) file:///mnt/MusicII/Linda%20Ronstadt/Prisoner%20in%20Disguise-r/flac/11_Silver_Blue.flac

VFS: <0x1370da0> seek to 0 from beginning

VFS: <0x1370da0> eof = no

seekable_stream_callbacks.c:150 [metadata_callback]: total_total_samples=8313144

seekable_stream_callbacks.c:153 [metadata_callback]: bits_per_sample=16

seekable_stream_callbacks.c:156 [metadata_callback]: channels=2

seekable_stream_callbacks.c:159 [metadata_callback]: sample_rate=44100

VFS: <0x1370da0> size = 16783376

seekable_stream_callbacks.c:168 [metadata_callback]: bitrate=712266

VFS: <0x1370da0> tell = 8192

seekable_stream_callbacks.c:83 [tell_callback]: Current position: 8192

effect.c:68 [effect_start]: Starting effects.

output.c:383 [output_set_replaygain_info]: Replay Gain info:

output.c:384 [output_set_replaygain_info]:  album gain: 1.000000 dB

output.c:385 [output_set_replaygain_info]:  album peak: 1.000000

output.c:386 [output_set_replaygain_info]:  track gain: 1.000000 dB

output.c:387 [output_set_replaygain_info]:  track peak: 1.000000

main.c:565 [do_autosave]: Saving configuration.

VFS: <0x1372940> open (mode w) file:///home/pcg/.config/audacious/config

VFS: <0x1372940> write 8 elements of size 1 = 8

VFS: <0x1372940> write 21 elements of size 1 = 21

VFS: <0x1372940> write 13 elements of size 1 = 13
VFS: <0x1372940> write 25 elements of size 1 = 25

VFS: <0x1372940> write 22 elements of size 1 = 22

VFS: <0x1372940> write 36 elements of size 1 = 36

VFS: <0x1372940> write 19 elements of size 1 = 19

VFS: <0x1372940> write 31 elements of size 1 = 31

VFS: <0x1372940> write 19 elements of size 1 = 19

VFS: <0x1372940> write 10 elements of size 1 = 10

VFS: <0x1372940> write 25 elements of size 1 = 25

VFS: <0x1372940> write 30 elements of size 1 = 30

VFS: <0x1372940> write 52 elements of size 1 = 52

VFS: <0x1372940> write 23 elements of size 1 = 23

VFS: (last message repeated 3 times)

VFS: <0x1372940> write 41 elements of size 1 = 41

VFS: <0x1372940> write 9 elements of size 1 = 9

VFS: <0x1372940> write 24 elements of size 1 = 24

VFS: <0x1372940> write 29 elements of size 1 = 29

VFS: <0x1372940> write 24 elements of size 1 = 24

VFS: <0x1372940> write 23 elements of size 1 = 23

VFS: <0x1372940> write 13 elements of size 1 = 13

VFS: (last message repeated 1 times)

VFS: <0x1372940> write 16 elements of size 1 = 16

VFS: <0x1372940> write 23 elements of size 1 = 23

VFS: <0x1372940> write 26 elements of size 1 = 26

VFS: <0x1372940> write 29 elements of size 1 = 29

VFS: (last message repeated 1 times)

VFS: <0x1372940> write 22 elements of size 1 = 22

VFS: <0x1372940> write 28 elements of size 1 = 28

VFS: <0x1372940> write 36 elements of size 1 = 36

VFS: <0x1372940> write 28 elements of size 1 = 28

VFS: <0x1372940> write 13 elements of size 1 = 13

VFS: <0x1372940> write 8 elements of size 1 = 8

VFS: <0x1372940> write 17 elements of size 1 = 17

VFS: <0x1372940> write 18 elements of size 1 = 18

VFS: <0x1372940> write 13 elements of size 1 = 13

VFS: <0x1372940> close

VFS: <0x1370da0> close

Segmentation fault (core dumped)

[pcg@joey ~]$
